package com.bocloud.nms.model.hillstone;

import java.util.List;

// 本地用户
public class LocalUserModel extends HillStoneGenericModel {
    private Long aaaServerId; // 所属服务器
    private String name; // 名称  同一服务下用户名唯一
    private String password; // 密码
    private Integer expireYear; // 到期日 年
    private Integer expireMonth; // 到期日 月
    private Integer expireDay; // 到期日 天
    private Integer expireHour; // 到期日 小时
    private Integer expireMin; // 到期日 分
    private String phoneNum; // 手机号
    private String desc; // 描述
    private Long userGroupId; //用户组id
    private List<Long> userGroupIds; //用户组ids
    private LocalUserIkeModel ike; // VPN配置 一对一
    private String expireTime; // 到期时间

    public void setUserGroupIds(List<Long> userGroupIds) {
        this.userGroupIds = userGroupIds;
    }

    public List<Long> getUserGroupIds() {
        return userGroupIds;
    }

    public void setUserGroupId(Long userGroupId) {
        this.userGroupId = userGroupId;
    }

    public Long getUserGroupId() {
        return userGroupId;
    }

    public Long getAaaServerId() {
        return aaaServerId;
    }

    public void setAaaServerId(Long aaaServerId) {
        this.aaaServerId = aaaServerId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Integer getExpireYear() {
        return expireYear;
    }

    public void setExpireYear(Integer expireYear) {
        this.expireYear = expireYear;
    }

    public Integer getExpireMonth() {
        return expireMonth;
    }

    public void setExpireMonth(Integer expireMonth) {
        this.expireMonth = expireMonth;
    }

    public Integer getExpireDay() {
        return expireDay;
    }

    public void setExpireDay(Integer expireDay) {
        this.expireDay = expireDay;
    }

    public Integer getExpireHour() {
        return expireHour;
    }

    public void setExpireHour(Integer expireHour) {
        this.expireHour = expireHour;
    }

    public Integer getExpireMin() {
        return expireMin;
    }

    public void setExpireMin(Integer expireMin) {
        this.expireMin = expireMin;
    }

    public String getPhoneNum() {
        return phoneNum;
    }

    public void setPhoneNum(String phoneNum) {
        this.phoneNum = phoneNum;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public LocalUserIkeModel getIke() {
        return ike;
    }

    public void setIke(LocalUserIkeModel ike) {
        this.ike = ike;
    }

    public void setExpireTime(String expireTime) {
        this.expireTime = expireTime;
    }

    public String getExpireTime() {
        return expireTime;
    }
}
